package cn.com.poc.appbuilder.api.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * @Author: Jennie
 * @Description:
 * @Date: 2024/8/7 12:11
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ModelConfig implements Serializable {

    /**
     * 思考模型配置
     */
    private PlanConfig plan;

    /**
     * 模型配置
     */
    private ChatConfig chat;

    public PlanConfig getPlan() {
        return plan;
    }

    public void setPlan(PlanConfig plan) {
        this.plan = plan;
    }

    public ChatConfig getChat() {
        return chat;
    }

    public void setChat(ChatConfig chat) {
        this.chat = chat;
    }
}
